Semestra

Health checks

Healthz

GET
/healthz

Response Body

Successful Response

application/json
  1. response
status*Status
version*Version
Example Request
curl -X GET 'https://example.com/healthz'
Example Response200
{  "status": "ok",  "version": "string"}

Readyz

GET
/readyz

Response Body

Successful Response

application/json
  1. response
status*Status
database*Database
worker*Worker
Value in"ok""off"
Example Request
curl -X GET 'https://example.com/readyz'
Example Response
{  "status": "ok",  "database": "ok",  "worker": "ok"}